Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`protocols`.`amp`.`SimpleStringLocator``

class documentation

`class SimpleStringLocator: (source)`

Known subclasses: `twisted.protocols.amp.AMP`

Implements interfaces: `twisted.protocols.amp.IResponderLocator`

View In Hierarchy

Implement the `AMP.locateResponder` method to do simple, string-based dispatch.

Method | `locateResponder` | Locate a callable to invoke when executing the named command.
Class Variable | `baseDispatchPrefix` | Undocumented

def locateResponder(self, name): (source)
from `twisted.protocols.amp.IResponderLocator`
overridden in `twisted.protocols.amp.AMP`

Locate a callable to invoke when executing the named command.

Parameters
name:`bytes` | the normalized name (from the wire) of the command.
Returns
a function with the name `"amp_" + name` on the same instance, or None if no such function exists. This function will then be called with the `AmpBox` itself as an argument.

baseDispatchPrefix: `bytes` = (source)

Undocumented